# version should be 0.10, 0.12, 4.x, 5.x
prefix = node['nodejs-setup']['prefix']
version = node['nodejs-setup']['version']
install_url = [prefix, version].join('')

case node['platform_family']
when 'fedora', 'rhel'
  bash "setup node" do
    code <<-EOH
      yum install gcc-c++ make curl -y
      curl --silent --location https://rpm.nodesource.com/setup | bash -
      yum -y install nodejs
      EOH
    not_if { ::File.exists?("/usr/bin/node") }
  end
when 'debian'
  bash "setup node" do
    code <<-EOH
      sudo apt-get install -y build-essential
      sudo apt-get install curl -y
      curl -sL #{install_url} | sudo -E bash -
      sudo apt-get install -y nodejs
      EOH
    not_if { ::File.exists?("/usr/bin/node") }
  end
else
  Chef::Log.info 'Not supported yet!'
end
